> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get rules filtered

> Get rules with Uuid and Type filtering



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/rules/getRulesFiltered
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/rules/getRulesFiltered:
    post:
      tags:
        - Rules Webservice
      summary: Get rules filtered
      description: Get rules with Uuid and Type filtering
      operationId: getRulesFiltered
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Rules_records_GetRulesFilteredWSRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Rules_GetRulesForOrgWSResponse'
          description: OK
components:
  schemas:
    Rules_records_GetRulesFilteredWSRequest:
      type: object
      description: Request object for getting filtered rules.
      properties:
        associatedUuids:
          type: array
          description: List of associated UUIDs to filter by
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        ruleTypeFilter:
          type: array
          description: List of rule types to filter by
          items:
            $ref: '#/components/schemas/RuleTypeEnum'
          nullable: true
    Rules_GetRulesForOrgWSResponse:
      type: object
      description: Response object for getting rules for an organization.
      properties:
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        rules:
          type: array
          description: List of rules for the organization
          items:
            $ref: '#/components/schemas/RuleType'
          nullable: true
        warningMsg:
          type: string
          nullable: true
    RuleTypeEnum:
      type: string
      enum:
        - BUTTON_DEFINED
        - USER_DEFINED
        - DOORBELL_CAMERA_DEFINED
        - DOOR_CONTROLLER_DEFINED
        - LOCKDOWN_PLAN_DEFINED
        - CUSTOM_LLM_DEFINED
        - ROBOT_DEFINED
    RuleType:
      type: object
      description: Updated rule data
      properties:
        action:
          $ref: '#/components/schemas/RuleActionType'
        conjunction:
          $ref: '#/components/schemas/RuleTriggerConjunctionEnum'
        name:
          type: string
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ownerUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        ruleFilters:
          $ref: '#/components/schemas/RuleFilterType'
        ruleType:
          $ref: '#/components/schemas/RuleTypeEnum'
        triggers:
          type: array
          items:
            $ref: '#/components/schemas/BaseRuleTriggerType'
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    RuleActionType:
      type: object
      description: The action to take when this lockdown rule is triggered.
      properties:
        activateLocationLockdown:
          $ref: '#/components/schemas/ActivateLocationLockdownActionType'
        alertAction:
          type: boolean
          nullable: true
        audioPlaybackActions:
          type: array
          items:
            $ref: '#/components/schemas/AudioPlaybackActionType'
          nullable: true
        cancelLoopingAudioPlaybackAction:
          $ref: '#/components/schemas/CancelLoopingAudioPlaybackActionType'
        changeComponentCompositeAccessStateActions:
          type: array
          items:
            $ref: '#/components/schemas/ChangeComponentCompositeAccessStateActionType'
          nullable: true
        connectAudioDeviceToPhoneNumberAction:
          $ref: '#/components/schemas/ConnectAudioDeviceToPhoneNumberActionType'
        customActions:
          type: array
          items:
            $ref: '#/components/schemas/CustomRuleAction'
          nullable: true
        customLLMActions:
          type: array
          items:
            $ref: '#/components/schemas/CustomLLMActionType'
          nullable: true
        enableDisableAudioRecordActions:
          type: array
          items:
            $ref: '#/components/schemas/EnableDisableAudioRecordActionType'
          nullable: true
        integrationCommandActions:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationCommandActionType'
          nullable: true
        integrationNotificationActions:
          type: array
          items:
            $ref: '#/components/schemas/IntegrationNotificationActionType'
          nullable: true
        liveNotificationAction:
          type: boolean
          nullable: true
        remoteDoorUnlockActions:
          type: array
          items:
            $ref: '#/components/schemas/RemoteDoorUnlockActionType'
          nullable: true
        robotActions:
          type: array
          items:
            $ref: '#/components/schemas/RobotAction'
          nullable: true
        thirdPartyAudioPlaybackAction:
          $ref: '#/components/schemas/ThirdPartyAudioPlaybackActionType'
        triggerComponentRelayActions:
          type: array
          items:
            $ref: '#/components/schemas/TriggerComponentRelayActionType'
          nullable: true
        webhookActions:
          type: array
          items:
            $ref: '#/components/schemas/WebhookActionType'
          nullable: true
    RuleTriggerConjunctionEnum:
      type: string
      enum:
        - AND
        - OR
        - UNKNOWN
    RuleFilterType:
      type: object
      description: Optional filters to apply to this lockdown rule.
      properties:
        scheduleUuids:
          type: array
          description: >-
            List of schedules that apply to the rule. at least one schedule must
            be met to trigger this rule. If null, then this rule is enabled all
            the time.
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        triggerBackoffSecs:
          type: integer
          format: int32
          description: >-
            Number of seconds to back off after rule is triggered before
            triggering again. I.e. this rule will only trigger once every X
            seconds regardless of how many triggering events occur within that
            window
          nullable: true
    BaseRuleTriggerType:
      type: object
      discriminator:
        mapping:
          ALERT_MONITORING_EVENT:
            $ref: '#/components/schemas/AlertMonitoringRuleTriggerType'
          AUDIT_EVENT:
            $ref: '#/components/schemas/AuditRuleTriggerType'
          BADGE_INTEGRATION_EVENT:
            $ref: '#/components/schemas/BadgeIntegrationRuleTriggerType'
          BUTTON_INTEGRATION_EVENT:
            $ref: '#/components/schemas/ButtonIntegrationRuleTriggerType'
          CUSTOM_LLM_EVENT:
            $ref: '#/components/schemas/CustomLLMEventRuleTriggerType'
          DEVICE_ACTIVITY_EVENT:
            $ref: '#/components/schemas/DeviceActivityRuleTriggerType'
          DIAGNOSTIC_EVENT:
            $ref: '#/components/schemas/DiagnosticRuleTriggerType'
          LOCATION_LOCKDOWN_ACTIVATED_EVENT:
            $ref: '#/components/schemas/LocationLockdownActivatedRuleTriggerType'
          LOCATION_LOCKDOWN_DEACTIVATED_EVENT:
            $ref: '#/components/schemas/LocationLockdownDeactivatedRuleTriggerType'
          RECURRING_EVENT:
            $ref: '#/components/schemas/RecurringRuleTriggerType'
          SCHEDULED_EVENT:
            $ref: '#/components/schemas/ScheduledRuleTriggerType'
          SHELLY_INTEGRATION_EVENT:
            $ref: '#/components/schemas/ShellyIntegrationRuleTriggerType'
          VISION_LLM_EVENT:
            $ref: '#/components/schemas/VisionLLMRuleTriggerType'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/DeviceActivityRuleTriggerType'
        - $ref: '#/components/schemas/AuditRuleTriggerType'
        - $ref: '#/components/schemas/AlertMonitoringRuleTriggerType'
        - $ref: '#/components/schemas/DiagnosticRuleTriggerType'
        - $ref: '#/components/schemas/BadgeIntegrationRuleTriggerType'
        - $ref: '#/components/schemas/ScheduledRuleTriggerType'
        - $ref: '#/components/schemas/VisionLLMRuleTriggerType'
        - $ref: '#/components/schemas/RecurringRuleTriggerType'
        - $ref: '#/components/schemas/LocationLockdownActivatedRuleTriggerType'
        - $ref: '#/components/schemas/LocationLockdownDeactivatedRuleTriggerType'
        - $ref: '#/components/schemas/CustomLLMEventRuleTriggerType'
        - $ref: '#/components/schemas/ButtonIntegrationRuleTriggerType'
        - $ref: '#/components/schemas/ShellyIntegrationRuleTriggerType'
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
      title: RuleTriggerType
    ActivateLocationLockdownActionType:
      type: object
      properties:
        locationLockdownPlanUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        locationUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
    AudioPlaybackActionType:
      type: object
      properties:
        audioClipUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        audioGateways:
          type: array
          items:
            type: string
            format: RUUID
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            nullable: true
          nullable: true
        loopDurationSec:
          type: integer
          format: int32
          nullable: true
        playCount:
          type: integer
          format: int32
          nullable: true
    CancelLoopingAudioPlaybackActionType:
      type: object
      properties:
        _audioDevices:
          type: array
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
        audioDevices:
          type: array
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
    ChangeComponentCompositeAccessStateActionType:
      type: object
      properties:
        accessState:
          $ref: '#/components/schemas/AccessControlledDoorStateEnumType'
        alwaysCreateOverrideIfNoFirstIn:
          type: boolean
          nullable: true
        componentCompositeUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        expirationStrategy:
          $ref: '#/components/schemas/AccessStateOverrideExpirationStrategyEnum'
        expireTimeDelaySeconds:
          type: integer
          format: int64
          nullable: true
        expireTimeOfDayLocalSeconds:
          type: integer
          format: int64
          nullable: true
        useFirstInRulesIfPossible:
          type: boolean
          nullable: true
        version:
          type: integer
          format: int32
          nullable: true
          readOnly: true
    ConnectAudioDeviceToPhoneNumberActionType:
      type: object
      properties:
        audioDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        deviceType:
          $ref: '#/components/schemas/DeviceTypeEnum'
        doorUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        optionalGreeting:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
    CustomRuleAction:
      type: object
      properties:
        headers:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        path:
          type: string
          nullable: true
    CustomLLMActionType:
      type: object
      properties:
        deviceActivityEvents:
          type: object
          additionalProperties:
            type: array
            items:
              $ref: '#/components/schemas/ActivityEventData'
            nullable: true
          nullable: true
        deviceFacetUuids:
          type: array
          items:
            type: string
            format: DeviceFacetUuid
            description: RUUID with optional appended facet information
            example: AAAAAAAAAAAAAAAAAAAAAA.v0
            nullable: true
          nullable: true
        orgUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        promptUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        timestampMs:
          type: integer
          format: int64
          nullable: true
    EnableDisableAudioRecordActionType:
      type: object
      properties:
        audioDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        enable:
          type: boolean
          nullable: true
    IntegrationCommandActionType:
      type: object
      properties:
        commandPayload:
          type: string
          nullable: true
        delaySecs:
          type: integer
          format: int32
          nullable: true
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
    IntegrationNotificationActionType:
      type: object
      properties:
        integration:
          $ref: '#/components/schemas/IntegrationEnum'
        notificationEntity:
          type: string
          nullable: true
        notificationTarget:
          type: string
          nullable: true
    RemoteDoorUnlockActionType:
      type: object
      properties:
        doorId:
          type: string
          nullable: true
        placeId:
          type: string
          nullable: true
        system:
          $ref: '#/components/schemas/RemoteDoorUnlockSystemEnum'
    RobotAction:
      type: object
      discriminator:
        mapping:
          DEPLOY:
            $ref: '#/components/schemas/DeployRobotAction'
          UNKNOWN:
            $ref: '#/components/schemas/NoOpAction'
        propertyName: type
      oneOf:
        - $ref: '#/components/schemas/DeployRobotAction'
        - $ref: '#/components/schemas/NoOpAction'
      properties:
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        type:
          $ref: '#/components/schemas/RobotActionTypeEnum'
    ThirdPartyAudioPlaybackActionType:
      type: object
      properties:
        audioFileName:
          type: string
          nullable: true
        ipAddress:
          type: string
          nullable: true
        loopDurationSec:
          type: integer
          format: int32
          nullable: true
        password:
          type: string
          nullable: true
        playCount:
          type: integer
          format: int32
          nullable: true
        proxyDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        username:
          type: string
          nullable: true
    TriggerComponentRelayActionType:
      type: object
      properties:
        componentUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        outputType:
          $ref: '#/components/schemas/ComponentRelayOutputTypeEnum'
        overrideRelayDurationMs:
          type: integer
          format: int32
          nullable: true
        overrideRelayDurationSec:
          type: integer
          format: int32
          nullable: true
        ownerDeviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        state:
          $ref: '#/components/schemas/GenericRelayStateEnumType'
        version:
          type: integer
          format: int32
          nullable: true
          readOnly: true
    WebhookActionType:
      type: object
      properties:
        headers:
          type: object
          additionalProperties:
            type: string
            nullable: true
          nullable: true
        oauthClientId:
          type: string
          nullable: true
        oauthClientSecret:
          type: string
          nullable: true
        oauthGrantType:
          type: string
          nullable: true
        oauthScope:
          type: string
          nullable: true
        oauthUrl:
          type: string
          nullable: true
        webhookUrl:
          type: string
          nullable: true
    AlertMonitoringRuleTriggerType:
      type: object
      allOf:
        - type: object
          properties:
            alertMonitoringRulesEventType:
              $ref: '#/components/schemas/AlertMonitoringRulesEventTypeEnum'
            locationUuids:
              type: array
              items:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
    AuditRuleTriggerType:
      type: object
      allOf:
        - type: object
          properties:
            auditEvent:
              $ref: '#/components/schemas/SimpleAuditEventType'
            userUuids:
              type: array
              items:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
    BadgeIntegrationRuleTriggerType:
      type: object
      allOf: []
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
    ButtonIntegrationRuleTriggerType:
      type: object
      allOf:
        - type: object
          properties:
            thirdPartyBatteryLevel:
              type: string
              nullable: true
            thirdPartyButtonAction:
              type: string
              nullable: true
            thirdPartyButtonName:
              type: string
              nullable: true
            thirdPartyButtonSerialNumber:
              type: string
              nullable: true
            thirdPartyButtonUuid:
              type: string
              nullable: true
            timestamp:
              type: integer
              format: int64
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
    CustomLLMEventRuleTriggerType:
      type: object
      allOf:
        - type: object
          properties:
            deviceFacetUuids:
              type: array
              items:
                type: string
                format: DeviceFacetUuid
                description: RUUID with optional appended facet information
                example: AAAAAAAAAAAAAAAAAAAAAA.v0
                nullable: true
              nullable: true
            promptUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
    DeviceActivityRuleTriggerType:
      type: object
      allOf:
        - type: object
          properties:
            activityEvent:
              $ref: '#/components/schemas/SimpleDeviceActivityEventType'
            componentCompositeUuids:
              type: array
              items:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
            componentUuids:
              type: array
              items:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
            deviceLabels:
              type: array
              items:
                type: string
                nullable: true
              nullable: true
            deviceUuids:
              type: array
              items:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
            locationUuids:
              type: array
              items:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
    DiagnosticRuleTriggerType:
      type: object
      allOf:
        - type: object
          properties:
            deviceLabels:
              type: array
              items:
                type: string
                nullable: true
              nullable: true
            deviceUuids:
              type: array
              items:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
            diagnosticEvent:
              $ref: '#/components/schemas/SimpleDiagnosticEventType'
            locationUuids:
              type: array
              items:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
    LocationLockdownActivatedRuleTriggerType:
      type: object
      allOf:
        - type: object
          properties:
            locationUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
    LocationLockdownDeactivatedRuleTriggerType:
      type: object
      allOf:
        - type: object
          properties:
            locationUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
    RecurringRuleTriggerType:
      type: object
      allOf:
        - type: object
          properties:
            locationUuids:
              type: array
              description: >-
                Optional list of locations to specify timezones for evaluation.
                Note that if not specified, then we rely on the Actions to
                derive timezones.
              items:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
            repeatInterval:
              type: integer
              format: int32
              description: >-
                Interval of timeUnit to re-occur at. i.e. trigger every 5
                minutes, repeatInerval would be 5
              nullable: true
            timeUnit:
              $ref: '#/components/schemas/RecurringTimeUnitEnum'
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
    ScheduledRuleTriggerType:
      type: object
      allOf:
        - type: object
          properties:
            locationUuids:
              type: array
              description: >-
                List of locations to use for timezone evaluation and for display
                purposes
              items:
                type: string
                format: RUUID
                description: base 64 (url-safe) uuid string
                example: AAAAAAAAAAAAAAAAAAAAAA
                nullable: true
              nullable: true
            minOfDay:
              type: integer
              format: int32
              description: >-
                minute of the day for this trigger. note that it is dependent on
                the timezone of the devices in the rule actions or the timezone
                of the specified locations.
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
    ShellyIntegrationRuleTriggerType:
      type: object
      allOf:
        - type: object
          properties:
            shellyChannel:
              type: integer
              format: int32
              nullable: true
            shellyDeviceId:
              type: string
              nullable: true
            shellyEventType:
              $ref: '#/components/schemas/ShellyEventTypeEnum'
            timestamp:
              type: integer
              format: int64
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
    VisionLLMRuleTriggerType:
      type: object
      allOf:
        - type: object
          properties:
            createAffirmativeSeekpoints:
              type: boolean
              nullable: true
            createNegativeSeekpoints:
              type: boolean
              nullable: true
            deviceFacetUuid:
              type: string
              format: DeviceFacetUuid
              description: RUUID with optional appended facet information
              example: AAAAAAAAAAAAAAAAAAAAAA.v0
              nullable: true
            highDetail:
              type: boolean
              nullable: true
            userPrompt:
              type: string
              nullable: true
      nullable: true
      properties:
        type:
          $ref: '#/components/schemas/RuleTriggerTypeEnum'
    RuleTriggerTypeEnum:
      type: string
      enum:
        - DEVICE_ACTIVITY_EVENT
        - AUDIT_EVENT
        - DIAGNOSTIC_EVENT
        - ALERT_MONITORING_EVENT
        - BADGE_INTEGRATION_EVENT
        - SCHEDULED_EVENT
        - VISION_LLM_EVENT
        - RECURRING_EVENT
        - LOCATION_LOCKDOWN_ACTIVATED_EVENT
        - LOCATION_LOCKDOWN_DEACTIVATED_EVENT
        - BUTTON_INTEGRATION_EVENT
        - CUSTOM_LLM_EVENT
        - SHELLY_INTEGRATION_EVENT
        - UNKNOWN
    AccessControlledDoorStateEnumType:
      type: string
      enum:
        - UNLOCKED
        - ACCESS_CONTROLLED
    AccessStateOverrideExpirationStrategyEnum:
      type: string
      enum:
        - TIME_DELAY
        - TIME_OF_DAY_LOCAL
        - NONE
    DeviceTypeEnum:
      type: string
      enum:
        - BLE_TRACKER
        - CAMERA
        - DOOR_SENSOR
        - ENVIRONMENTAL_SENSOR
        - OCCUPANCY_SENSOR
        - AUDIO_GATEWAY
        - EXECUTABLE
        - BADGE_READER
        - DOOR_CONTROLLER
        - BLE_BUTTON
        - IO_BOARD
        - ENVIRONMENTAL_GATEWAY
        - NVR
        - ROBOT
        - UNKNOWN
    ActivityEventData:
      type: object
      properties:
        activities:
          type: array
          items:
            $ref: '#/components/schemas/ActivityEnum'
          nullable: true
        boundingBoxes:
          type: array
          items:
            $ref: '#/components/schemas/ClipBoundingBoxType'
          nullable: true
        durationSec:
          type: integer
          format: int32
          nullable: true
        timestampMs:
          type: integer
          format: int64
          nullable: true
    IntegrationEnum:
      type: string
      enum:
        - AVIGILON_ALTA
        - BOULEVARD
        - BRIVO
        - BUTTERFLY_MX
        - DEVICE_INTEGRATION
        - DICE
        - ENVOY
        - FLIC
        - GENEA
        - GOOGLE
        - HONEYWELL_ELEMENTS
        - GUEST_MANAGEMENT
        - INFORMACAST
        - INNER_RANGE
        - KISI
        - LUMEO
        - MICROSOFT_TEAMS
        - OMNIALERT
        - OPENAI
        - OPENTECH_ALLIANCE
        - PIMLOC
        - PLACE_OS
        - PRODATAKEY
        - SHELLY
        - TOAST
        - WEBHOOKS
        - ZAPIER
        - RAPTOR
        - NINEONEONE_CELLULAR
        - SLACK
        - APERIO
        - PAR_POS
        - HONEYWELL_ONGUARD
        - HONEYWELL_NETBOX
        - SIGNATURE_API
        - UNKNOWN
    RemoteDoorUnlockSystemEnum:
      type: string
      enum:
        - BRIVO
        - OPENPATH
        - KISI
        - PLACEOS
        - GENEA
        - PDK
        - INNER_RANGE
        - RHOMBUS
        - HONEYWELL_ELEMENTS
        - UNKNOWN
    DeployRobotAction:
      type: object
      allOf:
        - type: object
          properties:
            mapUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            navType:
              $ref: '#/components/schemas/NavigationTypeEnum'
            pose:
              $ref: '#/components/schemas/Pose'
            routeUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
            waypointUuid:
              type: string
              format: RUUID
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              nullable: true
      nullable: true
      properties:
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        type:
          $ref: '#/components/schemas/RobotActionTypeEnum'
    NoOpAction:
      type: object
      allOf: []
      nullable: true
      properties:
        deviceUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        type:
          $ref: '#/components/schemas/RobotActionTypeEnum'
    RobotActionTypeEnum:
      type: string
      enum:
        - DEPLOY
        - UNKNOWN
    ComponentRelayOutputTypeEnum:
      type: string
      enum:
        - TRANSIENT
        - STEADY
    GenericRelayStateEnumType:
      type: string
      enum:
        - ACTIVE
        - INACTIVE
        - UNKNOWN
    AlertMonitoringRulesEventTypeEnum:
      type: string
      enum:
        - ALARM_CREATED
        - ALARM_CANCELED
        - UNKNOWN
    SimpleAuditEventType:
      type: object
      nullable: true
      properties:
        auditEvent:
          $ref: '#/components/schemas/AuditActionEnum'
    SimpleDeviceActivityEventType:
      type: object
      discriminator:
        propertyName: activityEvent
      nullable: true
      properties:
        activityEvent:
          $ref: '#/components/schemas/ActivityEnum'
      title: DeviceActivityEventType
    SimpleDiagnosticEventType:
      type: object
      nullable: true
      properties:
        diagnosticEvent:
          $ref: '#/components/schemas/DiagnosticActivityEnum'
    RecurringTimeUnitEnum:
      type: string
      description: >-
        Time unit of recurrence. i.e. trigger every 5 minutes, timeUnit would be
        MINUTES
      enum:
        - SECONDS
        - MINUTES
        - HOURS
    ShellyEventTypeEnum:
      type: string
      enum:
        - SWITCH_ON
        - SWITCH_OFF
        - INPUT_ON
        - INPUT_OFF
    ActivityEnum:
      type: string
      enum:
        - SOUND_LOUD
        - SOUND_GUN_SHOT
        - TAMPER
        - VISUAL_TAMPER
        - MOTION_TAMPER
        - MOTION
        - MOTION_HUMAN
        - MOTION_CAR
        - MOTION_ANIMAL
        - FACE
        - FACE_IDENTIFIED
        - FACE_UNIDENTIFIED
        - FACE_BLACKLISTED
        - FACE_ALERT
        - POSE_ANOMALOUS
        - POSE_FALL
        - LICENSEPLATE
        - LICENSEPLATE_IDENTIFIED
        - LICENSEPLATE_UNIDENTIFIED
        - LICENSEPLATE_ALERT
        - LICENSEPLATE_BLACKLISTED
        - LICENSEPLATE_TRUSTED
        - PEOPLECOUNT_HIGH
        - PEOPLECOUNT_HIGH_RESET
        - PEOPLECOUNT_LOW
        - PEOPLECOUNT_LOW_RESET
        - HUMAN_ENTER
        - HUMAN_EXIT
        - CAR_ENTER
        - CAR_EXIT
        - TEMPERATURE_EXCEEDED_HIGH
        - TEMPERATURE_EXCEEDED_LOW
        - HUMIDITY_EXCEEDED_HIGH
        - HUMIDITY_EXCEEDED_LOW
        - PM25_EXCEEDED_HIGH
        - TVOC_EXCEEDED_HIGH
        - ETOH_EXCEEDED_HIGH
        - IAQ_EXCEEDED_HIGH
        - CO2_EXCEEDED_HIGH
        - CO2_EXCEEDED_LOW
        - PROBE_TEMPERATURE_EXCEEDED_HIGH
        - PROBE_TEMPERATURE_EXCEEDED_LOW
        - PROBE_DISCONNECTED
        - PROBE_CONNECTED
        - HEAT_INDEX_EXCEEDED_HIGH
        - PRESSURE_EXCEEDED_HIGH
        - PRESSURE_EXCEEDED_LOW
        - PM10_EXCEEDED_HIGH
        - PM40_EXCEEDED_HIGH
        - PM100_EXCEEDED_HIGH
        - VOC_IDX_EXCEEDED_HIGH
        - NOX_IDX_EXCEEDED_HIGH
        - FORMALDEHYDE_EXCEEDED_HIGH
        - CARBON_MONOXIDE_EXCEEDED_HIGH
        - AQI_EXCEEDED_HIGH
        - DOOR_AJAR
        - DOOR_OPENED
        - DOOR_CLOSED
        - BUTTON_SINGLE_PRESSED
        - BUTTON_DOUBLE_PRESSED
        - BUTTON_LONG_PRESSED
        - TAG_ARRIVED
        - TAG_DEPARTED
        - TAG_MOVED
        - TAG_POSITIONING_CHANGED
        - TAG_BOUNDARY_INGRESS
        - TAG_BOUNDARY_EGRESS
        - TAG_PANIC
        - BADGE_AUTHORIZED
        - BADGE_UNAUTHORIZED
        - BADGE_UNAUTHORIZED_V2
        - BADGE_AJAR
        - BADGE_MANUAL
        - BADGE_FORCED_OPEN
        - BADGE_LOCKDOWN
        - BADGE_REQUEST_TO_EXIT
        - BADGE_DURESS
        - BADGE_SECURITY_BREACH
        - BADGE_TAMPER
        - BADGE_FACE_MISMATCH
        - POS_ORDER
        - GUN_DETECT_EVENT
        - IOT_SOUND_AGGRESSION
        - IOT_SOUND_HELP
        - IOT_AIR_CO
        - IOT_AIR_CO2
        - IOT_AIR_MASKING
        - IOT_AIR_THC
        - IOT_AIR_VAPE
        - IOT_AIR_VOC
        - IOT_AIR_TEMP
        - IOT_TAMPER
        - IOT_GUNSHOT
        - IOT_BUTTON_SINGLE_CLICK
        - IOT_BUTTON_DOUBLE_CLICK
        - IOT_BUTTON_HOLD
        - IOT_PANIC_BUTTON_TRIGGERED
        - AUDIO_SOUND_SIGNIFICANT
        - AUDIO_SOUND_LOUD
        - AUDIO_SOUND_ABUSIVE
        - AUDIO_SOUND_GREETING
        - AUDIO_SOUND_HELP
        - AUDIO_SOUND_GUN
        - AUDIO_SOUND_GLASS_BREAK
        - AUDIO_SOUND_ALARM_SMOKE_FIRE
        - AUDIO_SOUND_ALARM_CARBON_MONOXIDE
        - AUDIO_SOUND_SIREN
        - CLIMATE_VOC
        - CLIMATE_VAPE
        - CLIMATE_SMOKE
        - CLIMATE_THC
        - CLIMATE_CO2
        - CLIMATE_ETOH
        - CLIMATE_PM25
        - CLIMATE_IAQ
        - CLIMATE_LEAK
        - SOUND_AGGRESSION
        - SOUND_HELP
        - AIR_CO
        - AIR_CO2
        - AIR_MASKING
        - AIR_THC
        - AIR_VAPE
        - AIR_VOC
        - MASK_MISSING
        - HELMET_MISSING
        - GLOVES_MISSING
        - PIR_OCCUPIED
        - PIR_MOVEMENT
        - PIR_VACANT
        - CUSTOM
        - VISITOR_ARRIVED
        - VISITOR_DEPARTED
        - AC_DR_CONNECTED
        - AC_DR_DISCONNECTED
        - AC_DPI_DOOR_OPEN
        - AC_DPI_DOOR_CLOSED
        - AC_DPI_DOOR_AJAR
        - AC_DPI_DOOR_FORCED_OPEN
        - AC_DSR_UNLOCKED
        - AC_DSR_LOCKED
        - AC_DB_TRIGGERED
        - AC_PANIC_BUTTON_TRIGGERED
        - AC_REMOTE_UNLOCK
        - AC_BADGE_AUTHORIZED
        - AC_BADGE_UNAUTHORIZED
        - AC_BADGE_FACE_MISMATCH
        - AC_LOCKDOWN_ACTIVATED
        - AC_LOCKDOWN_DEACTIVATED
        - AC_TAMPER_PROX
        - AC_TAMPER_ACCEL
        - AC_TAMPER_SWITCH
        - AC_GR_ACTIVE
        - AC_GR_INACTIVE
        - AC_GI_ACTIVE
        - AC_GI_INACTIVE
        - AC_REX_ACTIVE
        - AC_REX_INACTIVE
        - AC_APERIO_DEVICE_DISCONNECTED
        - AC_APERIO_DEVICE_CONNECTED
        - AC_APERIO_DEVICE_REBOOT
        - AC_APERIO_DEVICE_TAMPER
        - AC_APERIO_LOW_BATTERY
        - AC_APERIO_FLAT_BATTERY
        - AC_APERIO_OK_BATTERY
        - POWER_SWITCH_BATTERY
        - POWER_SWITCH_PRIMARY
        - CUSTOM_LLM_BOOLEAN_TRUE
        - CUSTOM_LLM_BOOLEAN_FALSE
        - CUSTOM_LLM_THRESHOLD_EXCEEDED_LOW
        - CUSTOM_LLM_THRESHOLD_EXCEEDED_HIGH
        - ALM_AUTHORITIES_CONTACTED
        - ALM_MONITORING_ENABLED
        - ALM_MONITORING_DISABLED
        - ALM_MONITORING_SETTINGS_CHANGE
        - ALM_THREAT_CASE_CLOSED
        - ALM_THREAT_DETECTED
        - ALM_MONITORING_EVENT_DETECTED
        - ROBOT_DOG_DETECTED
        - ROBOT_ARRIVED_AT_WAYPOINT
        - ROBOT_ARRIVED_AT_POSE
        - ROBOT_WAITING_AT_POSE
        - ROBOT_MANUAL_CMD_VEL
        - ROBOT_MANUAL_ACTION
        - ROBOT_MANUAL_POSTURE
        - ROBOT_NAVIGATE_TO_POSE_START
        - ROBOT_NAVIGATE_TO_POSE_END
        - ROBOT_NAVIGATE_TO_HOME_START
        - ROBOT_NAVIGATE_TO_HOME_END
        - ROBOT_NAVIGATE_TO_WAYPOINT_START
        - ROBOT_NAVIGATE_TO_WAYPOINT_END
        - ROBOT_ROUTE_RUN_START
        - ROBOT_ROUTE_RUN_END
        - ROBOT_LOW_BATTERY_DOCKING
        - ROBOT_IDLE_DOCKING
        - ROBOT_EMERGENCY
        - LOITER_HUMAN
        - ONGUARD_BADGE_AUTHORIZED
        - ONGUARD_BADGE_ANOMALY
        - ONGUARD_NO_ENTRY_MADE
        - ELEMENTS_BADGE_AUTHORIZED
        - ELEMENTS_BADGE_ANOMALY
        - ELEMENTS_NO_ENTRY_MADE
        - NETBOX_BADGE_AUTHORIZED
        - NETBOX_BADGE_ANOMALY
        - NETBOX_NO_ENTRY_MADE
        - UNKNOWN
    ClipBoundingBoxType:
      type: object
      properties:
        activity:
          $ref: '#/components/schemas/ActivityEnum'
        alert:
          type: boolean
          nullable: true
        bottom:
          type: integer
          format: int32
          nullable: true
        confidence:
          type: number
          format: float
          nullable: true
        croppedImageLocator:
          type: string
          nullable: true
        customActivityColor:
          $ref: '#/components/schemas/FootageSeekPointColorEnum'
        customActivityDescription:
          type: string
          nullable: true
        customActivityDisplayName:
          type: string
          nullable: true
        dwelling:
          type: boolean
          nullable: true
        faceName:
          type: string
          nullable: true
        inMotion:
          type: boolean
          nullable: true
        keypointsV2:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/PointType'
          nullable: true
        left:
          type: integer
          format: int32
          nullable: true
        licensePlate:
          type: string
          nullable: true
        loudness:
          type: integer
          format: int32
          nullable: true
        objectId:
          type: integer
          format: int32
          nullable: true
        pose:
          type: string
          nullable: true
        relativeSecond:
          type: number
          format: float
          nullable: true
        right:
          type: integer
          format: int32
          nullable: true
        sensorValType:
          $ref: '#/components/schemas/SensorValType'
        stableTrackId:
          type: integer
          format: int32
          nullable: true
        toastOrderIdInfo:
          $ref: '#/components/schemas/ToastOrderIdType'
        top:
          type: integer
          format: int32
          nullable: true
        unidentifiedFaceId:
          type: string
          nullable: true
        vehicleName:
          type: string
          nullable: true
    NavigationTypeEnum:
      type: string
      enum:
        - ROUTE
        - WAYPOINT
        - POSE
    Pose:
      type: object
      properties:
        orientation:
          type: array
          items:
            type: number
            format: double
            description: Serialized as [x, y, z, w]
          maxItems: 4
          minItems: 4
          nullable: true
        position:
          type: array
          items:
            type: number
            format: double
            description: Serialized as [x, y, z]
          maxItems: 3
          minItems: 3
          nullable: true
    AuditActionEnum:
      type: string
      enum:
        - THREAT_CASE_ESCALATED
        - THREAT_CASE_CANCELLED
        - THREAT_CASE_DISMISSED
        - THREAT_CASE_DELETED
        - THREAT_CASE_DELETE_BY_STATUS
        - PIN_CREATED
        - PIN_DELETED
        - ALM_PIN_CREATE
        - ALM_PIN_BULK_CREATE
        - ALM_PIN_UPDATE
        - ALM_PIN_ROTATE
        - ALM_PIN_BULK_ROTATE
        - ALM_PIN_DELETE
        - BASIC_AUTH_SUCCESS
        - BASIC_AUTH_FAILURE
        - SAML_LOGIN_WEB
        - LOGIN_WEB
        - PASSWORDLESS_LOGIN_WEB
        - PARTNER_LOGIN_WEB
        - PARTNER_PASSWORDLESS_LOGIN_WEB
        - SAML_LOGIN_FAILURE_WEB
        - LOGIN_FAILURE_WEB
        - RHOMBUS_KEY_LOGIN
        - RHOMBUS_KEY_PASSWORDLESS_LOGIN
        - RHOMBUS_KEY_SAML_LOGIN
        - LOGOUT_WEB
        - PARTNER_LOGOUT_WEB
        - WEB_CONSOLE_ACCESS
        - MOBILE_CONSOLE_ACCESS
        - SAML_LOGIN_MOBILE
        - PARTNER_LOGIN_MOBILE
        - PARTNER_PASSWORDLESS_LOGIN_MOBILE
        - LOGIN_MOBILE
        - PASSWORDLESS_LOGIN_MOBILE
        - SAML_LOGIN_FAILURE_MOBILE
        - LOGIN_FAILURE_MOBILE
        - LOGOUT_MOBILE
        - PARTNER_LOGOUT_MOBILE
        - MOBILE_ACCESS
        - PARTNER_LOGIN_MOBIlE_REFRESH
        - LOGIN_MOBIlE_REFRESH
        - RHOMBUS_KEY_LOGIN_REFRESH
        - CAMERA_WIFI_NETWORK_CHANGED
        - CAMERA_FORCED_REBOOT
        - AUDIO_GATEWAY_FORCED_REBOOT
        - ENVIRONMENTAL_GATEWAY_FORCED_REBOOT
        - DOORBELL_CAMERA_FORCED_REBOOT
        - BADGE_READER_FORCED_REBOOT
        - NVR_FORCED_REBOOT
        - FIRMWARE_UPDATE_CAMERA
        - DELETE_CAMERA
        - DELETE_USER
        - DELETE_LOCATION
        - LOCATION_CREATE
        - LOCATION_UPDATED
        - DELETE_ROLE
        - ERASE_CAMERA
        - POLICY_UPDATE
        - POLICY_DELETE
        - POLICY_PAUSED_LOCATION
        - POLICY_PAUSED_DEVICE
        - POLICY_PAUSED_COMPONENT_COMPOSITE
        - CREATE_POLICY_ADDENDUM
        - DEVICE_REGISTERED
        - PENDING_REGISTRATION_CREATE
        - PENDING_REGISTRATION_REMOVED
        - PENDING_REGISTRATION_UPDATED
        - DEVICE_UPDATE
        - DEVICE_SETTINGS_UPDATE
        - REVERT_TO_DEFAULTS
        - DEVICE_FEATURE_UPDATE
        - DEVICE_ORG_REASSIGN
        - CLAIMKEY_RENEWAL_CREATED
        - LICENSES_CLAIMED
        - LICENSES_RETURNED
        - LICENSE_ASSIGNED
        - LICENSE_CREATED
        - LICENSE_UPDATED
        - USER_UPDATE
        - USER_CREATE
        - USER_IMPORT
        - BULK_PROVISION_CREDENTIALS
        - ROLE_CREATE
        - POLICY_CREATE
        - PARTNER_CLIENT_CREATE
        - PARTNER_CLIENT_DELETE
        - PARTNER_CUSTOMIZE_CLIENT
        - PARTNER_CUSTOMIZE_CLIENT_DEVICE
        - ORG_UPDATE
        - DELETE_ORG
        - DISABLE_ORG
        - CREATE_ORG
        - ROLE_UPDATE
        - USER_ROLE_UPDATE
        - USER_EMAIL_UPDATE
        - TIMELAPSE_CREATE
        - TIMELAPSE_DELETE
        - ALERT_DISMISS
        - ALL_ALERT_DISMISS
        - SAVED_CLIP_CREATE
        - SAVED_CLIP_DELETE
        - CLIP_GROUP_CREATED
        - CLIP_GROUP_DELETE
        - SHARED_CLIP_DELETE
        - SHARED_CLIP_CREATE
        - SHARED_LINK_SENT
        - SHARED_LIVE_VIDEO_STREAM_WITH_PASSWORD_CREATE
        - SHARED_LIVE_VIDEO_STREAM_WITHOUT_PASSWORD_CREATE
        - SHARED_LIVE_VIDEO_STREAM_DELETE
        - SHARED_VIDEOWALL_WITH_PASSWORD_CREATE
        - SHARED_VIDEOWALL_WITHOUT_PASSWORD_CREATE
        - SHARED_VIDEOWALL_DELETE
        - RAW_HTTP_STREAM_CREATED
        - RAW_HTTP_STREAM_DELETED
        - SETUP_VIRTUAL_MFA_DEVICE
        - DELETE_VIRTUAL_MFA_DEVICE
        - SETUP_SCIM_API_ACCESS
        - REVOKE_SCIM_API_ACCESS
        - AUDIT_EXPORT
        - COUNT_EXPORT
        - DIAGNOSTIC_EXPORT
        - INVENTORY_EXPORT
        - USERS_EXPORT
        - UPTIME_EXPORT
        - ALM_EVENT_EXPORT
        - SUPPORT_TICKET_OPEN
        - RMA_OPEN
        - FEEDBACK_CREATE
        - SUPPORT_ACCESS_GRANT
        - SUPPORT_ACCESS_REVOKE
        - SUPPORT_PARTNER_ADD
        - SUPPORT_PARTNER_REMOVE
        - SUPPORT_PARTNER_LOGIN_ACCESS_EXPIRED
        - SUPPORT_SEARCH_TICKETS
        - ACCEPT_UAP
        - ACCEPT_RHOMBUS_UAP
        - ACCEPT_ALERTMONITORING_UAP
        - CREATE_SEEKPOINT
        - DELETE_CUSTOM_SEEKPOINT
        - UPDATE_INTEGRATION_SAML
        - UPDATE_INTEGRATION_SLACK
        - UPDATE_INTEGRATION_SLACK_V2
        - DELETE_INTEGRATION_SLACK_V2
        - UPDATE_INTEGRATION_BOX
        - DELETE_INTEGRATION_BOX
        - UPDATE_INTEGRATION_GOOGLE
        - DELETE_INTEGRATION_GOOGLE
        - UPDATE_INTEGRATION_GOOGLE_V2
        - DELETE_INTEGRATION_GOOGLE_V2
        - UPDATE_INTEGRATION_PAGERDUTY
        - DELETE_INTEGRATION_PAGERDUTY
        - UPDATE_INTEGRATION_SERVICENOW
        - DELETE_INTEGRATION_SERVICENOW
        - UPDATE_INTEGRATION_OFFICE365
        - DELETE_INTEGRATION_OFFICE365
        - UPDATE_INTEGRATION_DROPBOX
        - DELETE_INTEGRATION_DROPBOX
        - UPDATE_INTEGRATION_SQUARE
        - DELETE_INTEGRATION_SQUARE
        - UPDATE_INTEGRATION_AWS
        - DELETE_INTEGRATION_AWS
        - UPDATE_INTEGRATION_HALO
        - DELETE_INTEGRATION_HALO
        - UPDATE_INTEGRATION_TRITON
        - DELETE_INTEGRATION_TRITON
        - UPDATE_INTEGRATION_WEBHOOK
        - DELETE_INTEGRATION_WEBHOOK
        - UPDATE_INTEGRATION_EMAIL
        - DELETE_INTEGRATION_EMAIL
        - UPDATE_INTEGRATION_MATTERMOST
        - DELETE_INTEGRATION_MATTERMOST
        - UPDATE_INTEGRATION_OPENPATH
        - DELETE_INTEGRATION_OPENPATH
        - UPDATE_INTEGRATION_AVIGILON_ALTA
        - DELETE_INTEGRATION_AVIGILON_ALTA
        - UPDATE_INTEGRATION_DICE
        - DELETE_INTEGRATION_DICE
        - UPDATE_INTEGRATION_LUMEO
        - DELETE_INTEGRATION_LUMEO
        - UPDATE_INTEGRATION_DEVICE
        - DELETE_INTEGRATION_DEVICE
        - UPDATE_INTEGRATION_GUESTMANAGEMENT
        - DELETE_INTEGRATION_GUESTMANAGEMENT
        - UPDATE_GUESTMANAGEMENT_SETTINGS
        - DELETE_GUESTMANAGEMENT_SETTINGS
        - INVITE_GUEST
        - CREATE_GUEST
        - CHECKIN_GUEST
        - CHECKOUT_GUEST
        - UPDATE_GUEST
        - DELETE_GUEST
        - ACTIVATE_KIOSK
        - UPDATE_INTEGRATION_OMNIALERT
        - DELETE_INTEGRATION_OMNIALERT
        - UPDATE_INTEGRATION_OPENTECHALLIANCE
        - DELETE_INTEGRATION_OPENTECHALLIANCE
        - UPDATE_INTEGRATION_TOAST
        - DELETE_INTEGRATION_TOAST
        - UPDATE_INTEGRATION_KISI
        - DELETE_INTEGRATION_KISI
        - UPDATE_INTEGRATION_BRIVO
        - DELETE_INTEGRATION_BRIVO
        - UPDATE_INTEGRATION_BUTTERFLYMX
        - DELETE_INTEGRATION_BUTTERFLYMX
        - UPDATE_INTEGRATION_ENVOY
        - DELETE_INTEGRATION_ENVOY
        - CREATE_ENVOY_INVITE
        - UPDATE_INTEGRATION_SALTO
        - UPDATE_INTEGRATION_PDK
        - DELETE_INTEGRATION_PDK
        - UPDATE_INTEGRATION_GENEA
        - DELETE_INTEGRATION_GENEA
        - UPDATE_INTEGRATION_MICROSOFTTEAMS
        - DELETE_INTEGRATION_MICROSOFTTEAMS
        - UPDATE_INTEGRATION_AMT
        - DELETE_INTEGRATION_AMT
        - UPDATE_INTEGRATION_PLACEOS
        - DELETE_INTEGRATION_PLACEOS
        - UPDATE_INTEGRATION_INTUIFACE
        - DELETE_INTEGRATION_INTUIFACE
        - UPDATE_INTEGRATION_INFORMACAST
        - DELETE_INTEGRATION_INFORMACAST
        - UPDATE_INTEGRATION_BOULEVARD
        - DELETE_INTEGRATION_BOULEVARD
        - UPDATE_INTEGRATION_INNERRANGE
        - DELETE_INTEGRATION_INNERRANGE
        - UPDATE_INTEGRATION_HONEYWELL_ELEMENTS
        - DELETE_INTEGRATION_HONEYWELL_ELEMENTS
        - UPDATE_INTEGRATION_HONEYWELL_ONGUARD
        - DELETE_INTEGRATION_HONEYWELL_ONGUARD
        - UPDATE_INTEGRATION_SHELLY
        - DELETE_INTEGRATION_SHELLY
        - UPDATE_INTEGRATION_FLIC
        - DELETE_INTEGRATION_FLIC
        - UPDATE_INTEGRATION_NINEONEONECELLULAR
        - DELETE_INTEGRATION_NINEONEONECELLULAR
        - UPDATE_INTEGRATION_PIMLOC
        - DELETE_INTEGRATION_PIMLOC
        - UPDATE_INTEGRATION_RAPTOR
        - DELETE_INTEGRATION_RAPTOR
        - UPDATE_INTEGRATION_LLM
        - DELETE_INTEGRATION_LLM
        - UPDATE_INTEGRATION_NOONLIGHT
        - UPDATE_INTEGRATION_ALARM_MONITORING
        - ENABLE_LIVE_ALARM_MONITORING
        - ENABLE_LIVE_ALARM_MONITORING_LOCATION
        - CREATE_ALARM_MONITORING_SETTINGS
        - UPDATE_ALARM_MONITORING_SETTINGS
        - DELETE_ALARM_MONITORING_SETTINGS
        - ENABLE_ALARM_MONITORING_SETTINGS
        - DISABLE_ALARM_MONITORING_SETTINGS
        - ALM_THREAT_QUALIFICATION_CREATE
        - ALM_THREAT_QUALIFICATION_UPDATE
        - ALM_THREAT_QUALIFICATION_DELETE
        - REPORT_VEHICLE_EVENT
        - API_TOKEN_REQUEST
        - API_TOKEN_REVOKE
        - API_INVOCATION
        - API_OAUTH_TOKEN_REQUEST
        - API_OAUTH_TOKEN_REFRESH
        - API_OAUTH_TOKEN_REVOKE
        - API_OAUTH_INVOCATION
        - API_OAUTH_SUBMIT_APPLICATION
        - API_OAUTH_UPDATE_APPLICATION
        - API_OAUTH_DELETE_APPLICATION
        - API_OAUTH_AUTHORIZE
        - VIDEO_WALL_CREATE
        - VIDEO_WALL_UPDATE
        - VIDEO_WALL_DELETE
        - VIEW_SHARE_TIMELAPSE
        - VIEW_SHARE_CLIP
        - VIEW_SHARE_STREAM
        - VIEW_SHARE_VIDEOWALL
        - VIEW_CAMERA_VOD
        - CAMERA_POLICY_UPDATE
        - CAMERA_POLICY_CREATE
        - CAMERA_POLICY_DELETE
        - TAG_POLICY_UPDATE
        - TAG_POLICY_CREATE
        - TAG_POLICY_DELETE
        - CLIMATE_POLICY_UPDATE
        - CLIMATE_POLICY_CREATE
        - CLIMATE_POLICY_DELETE
        - DOOR_POLICY_UPDATE
        - DOOR_POLICY_CREATE
        - DOOR_POLICY_DELETE
        - DOOR_SCHEDULE_EXCEPTION_UPDATE
        - DOOR_SCHEDULE_EXCEPTION_CREATE
        - DOOR_SCHEDULE_EXCEPTION_DELETE
        - ACCESS_CONTROLLED_DOOR_POLICY_UPDATE
        - ACCESS_CONTROLLED_DOOR_POLICY_CREATE
        - ACCESS_CONTROLLED_DOOR_POLICY_DELETE
        - VIDEO_INTERCOM_POLICY_UPDATE
        - VIDEO_INTERCOM_POLICY_CREATE
        - VIDEO_INTERCOM_POLICY_DELETE
        - OCCUPANCY_POLICY_UPDATE
        - OCCUPANCY_POLICY_CREATE
        - OCCUPANCY_POLICY_DELETE
        - AUDIO_POLICY_UPDATE
        - AUDIO_POLICY_CREATE
        - AUDIO_POLICY_DELETE
        - SCHEDULE_CREATE
        - SCHEDULE_DELETE
        - SCHEDULE_UPDATE
        - CUSTOM_EVENT_CREATE
        - CUSTOM_EVENT_DELETE
        - CUSTOM_EVENT_UPDATE
        - CUSTOM_EVENT_TOS_ACCEPTED
        - CUSTOM_EVENT_TOS_REVOKED
        - SUBSCRIPTION_SETUP_INTENT_CREATE
        - SUBSCRIPTION_CREATE
        - SUBSCRIPTION_DELETE
        - SUBSCRIPTION_PAYMENT_METHOD_DELETE
        - SUBSCRIPTION_PAYMENT_METHOD_UPDATE
        - SUBSCRIPTION_MAX_SPEND_UPDATE
        - SUBSCRIPTION_CHECKOUT_SESSION_CREATE
        - UPLOAD_FLOORPLAN
        - ORG_AUDIO_RECORD_UPDATE
        - ORG_AUDIO_ANALYSIS_UPDATE
        - ORG_LLM_USAGE_UPDATE
        - ORG_LLM_USAGE_ENABLED
        - ORG_LLM_USAGE_DISABLED
        - DOOR_ACCESS_UNLOCK
        - RHOMBUS_KEY_DOOR_UNLOCK
        - ELEVATOR_ACCESS_UNLOCK
        - RHOMBUS_KEY_ELEVATOR_UNLOCK
        - RHOMBUS_KEY_UPDATE_APP_SETTINGS
        - UPLOAD_ACCESS_CONTROLLED_DOOR
        - UPLOAD_ACCESS_CONTROLLED_ELEVATOR
        - UPLOAD_ACCESS_CONTROLLED_ELEVATOR_LANDING
        - UPLOAD_USER_PROFILE_PICTURE
        - ACCESS_GRANT_CREATE
        - ACCESS_GRANT_UPDATE
        - ACCESS_GRANT_DELETE
        - ACCESS_REVOCATION_CREATE
        - ACCESS_REVOCATION_UPDATE
        - ACCESS_REVOCATION_DELETE
        - ACCESS_CONTROLLED_DOOR_CREATE
        - ACCESS_CONTROLLED_DOOR_UPDATE
        - ACCESS_CONTROLLED_DOOR_DELETE
        - ACCESS_CONTROLLED_ELEVATOR_CREATE
        - ACCESS_CONTROLLED_ELEVATOR_UPDATE
        - ACCESS_CONTROLLED_ELEVATOR_DELETE
        - ACCESS_CONTROLLED_ELEVATOR_LANDING_CREATE
        - ACCESS_CONTROLLED_ELEVATOR_LANDING_UPDATE
        - ACCESS_CONTROLLED_ELEVATOR_LANDING_DELETE
        - AC_CRED_RHOMBUS_SECURE_CSN_CREATE
        - AC_CRED_RHOMBUS_SECURE_CSN_UPDATE
        - AC_CRED_RHOMBUS_SECURE_CSN_DELETE
        - AC_CRED_RHOMBUS_SECURE_CSN_REVOKED
        - AC_CRED_RHOMBUS_SECURE_CSN_ASSIGN
        - AC_CRED_RHOMBUS_SECURE_CSN_UNASSIGN
        - AC_CRED_RHOMBUS_SECURE_CSN_SUSPEND
        - AC_CRED_RHOMBUS_SECURE_CSN_UNSUSPEND
        - AC_CRED_STANDARD_CSN_CREATE
        - AC_CRED_STANDARD_CSN_UPDATE
        - AC_CRED_STANDARD_CSN_DELETE
        - AC_CRED_STANDARD_CSN_REVOKED
        - AC_CRED_STANDARD_CSN_ASSIGN
        - AC_CRED_STANDARD_CSN_UNASSIGN
        - AC_CRED_STANDARD_CSN_SUSPEND
        - AC_CRED_STANDARD_CSN_UNSUSPEND
        - AC_CRED_RHOMBUS_SECURE_MOBILE_CREATE
        - AC_CRED_RHOMBUS_SECURE_MOBILE_UPDATE
        - AC_CRED_RHOMBUS_SECURE_MOBILE_DELETE
        - AC_CRED_RHOMBUS_SECURE_MOBILE_REVOKED
        - AC_CRED_RHOMBUS_SECURE_MOBILE_ASSIGN
        - AC_CRED_RHOMBUS_SECURE_MOBILE_UNASSIGN
        - AC_CRED_RHOMBUS_SECURE_MOBILE_SUSPEND
        - AC_CRED_RHOMBUS_SECURE_MOBILE_UNSUSPEND
        - AC_CRED_PIN_CREATE
        - AC_CRED_PIN_BULK_CREATE
        - AC_CRED_PIN_UPDATE
        - AC_CRED_PIN_ROTATE
        - AC_CRED_PIN_BULK_ROTATE
        - AC_CRED_PIN_DELETE
        - AC_CRED_PIN_REVOKED
        - AC_CRED_PIN_ASSIGN
        - AC_CRED_PIN_UNASSIGN
        - AC_CRED_PIN_SUSPEND
        - AC_CRED_PIN_UNSUSPEND
        - AC_CRED_QR_CREATE
        - AC_CRED_QR_REVOKED
        - AC_CRED_QR_DELETE
        - AC_CRED_QR_SUSPEND
        - AC_CRED_QR_UNSUSPEND
        - AC_CRED_WIEGAND_CREATE
        - AC_CRED_WIEGAND_UPDATE
        - AC_CRED_WIEGAND_DELETE
        - AC_CRED_WIEGAND_REVOKED
        - AC_CRED_WIEGAND_ASSIGN
        - AC_CRED_WIEGAND_UNASSIGN
        - AC_CRED_WIEGAND_SUSPEND
        - AC_CRED_WIEGAND_UNSUSPEND
        - AC_CRED_NOTE_UPDATE
        - AC_LOCKDOWN_PLAN_CREATED
        - AC_LOCKDOWN_PLAN_UPDATED
        - AC_LOCKDOWN_PLAN_DELETED
        - AC_LOCKDOWN_ACTIVATED
        - AC_LOCKDOWN_DEACTIVATED
        - AC_COMPONENT_POWER_CYCLE
        - AC_DOOR_STATE_OVERRIDE_APPLIED
        - AC_DOOR_STATE_OVERRIDE_CANCELLED
        - AC_ELEVATOR_LANDING_ACCESS_STATE_OVERRIDE_APPLIED
        - AC_ELEVATOR_LANDING_ACCESS_STATE_OVERRIDE_CANCELLED
        - AC_GUEST_PASS_CREATE
        - AC_GUEST_PASS_UPDATE
        - AC_GUEST_PASS_SUSPEND
        - AC_GUEST_PASS_UNSUSPEND
        - AC_GUEST_PASS_EXPIRE
        - AC_GUEST_PASS_DELETE
        - SCIM_GET_ALL_USERS
        - SCIM_POST_CREATE_USER
        - SCIM_PUT_UPDATE_USER
        - SCIM_PATCH_UPDATE_USER
        - SCIM_GET_USER_BY_ID
        - SCIM_DELETE_USER_BY_ID
        - SCIM_GET_ALL_GROUPS
        - SCIM_POST_CREATE_GROUP
        - SCIM_PUT_UPDATE_GROUP
        - SCIM_PATCH_UPDATE_GROUP
        - SCIM_GET_GROUP_BY_ID
        - SCIM_DELETE_GROUP_BY_ID
        - CREATE_ACCESS_CONTROL_GROUP
        - UPDATE_ACCESS_CONTROL_GROUP
        - DELETE_ACCESS_CONTROL_GROUP
        - RULE_CREATE
        - RULE_DELETE
        - RULE_UPDATE
        - RULE_PAUSE
        - UPLOAD_FACES
        - UPDATE_FACE
        - REPORT_FACE_EVENT
        - FACE_EVENT_UPDATED
        - FACE_EVENT_DELETED
        - FACE_PERSON_CREATED
        - FACE_PERSON_UPDATED
        - FACE_PERSON_DELETED
        - FACE_MATCHMAKER_CREATED
        - FACE_MATCHMAKER_DELETED
        - FACE_MATCHMAKER_UPLOADED
        - FACE_MATCHING_CONFIG_UPDATED
        - EXPUNGE_FACES_ORG
        - EXPUNGE_VEHICLES_ORG
        - DEVICE_NETWORK_CONFIGURATION_CHANGE
        - KIOSK_UPDATED
        - KIOSK_DELETED
        - KIOSK_CREATED
        - GUEST_DELETED
        - UPDATE_APERIO_FIRMWARE
        - UPDATE_INTEGRATION_APERIO
        - DELETE_INTEGRATION_APERIO
        - APERIO_GATEWAY_CREATE
        - APERIO_DOORS_CREATE
        - APERIO_GATEWAY_REBOOT
        - APERIO_DTC_CLEAR
        - THIRD_PARTY_CAMERA_CREATE
        - THIRD_PARTY_CAMERA_DELETE
        - THIRD_PARTY_CAMERA_UPDATED
        - THIRD_PARTY_CAMERA_ASSIGNED_TO_CORE
        - THIRD_PARTY_CAMERA_ASSIGNED_TO_LITE
        - THIRD_PARTY_CAMERA_UNASSIGNED
        - THIRD_PARTY_CAMERA_PASSWORD_CREATE
        - THIRD_PARTY_CAMERA_PASSWORD_DELTE
        - THIRD_PARTY_CAMERA_PASSWORD_DELETE
        - CREATE_CHATBOT_CONFIG
        - UPDATE_CHATBOT_CONFIG
        - DELETE_CHATBOT_CONFIG
        - SUPPORT_AUTHORITY_UPDATE
        - SUPPORT_AUTHORITY_LOGOUT_ALL
        - DELETE_DOOR_CONTROLLER
        - DELETE_DOORBELL_CAMERA
        - DELETE_BADGE_READER
        - DELETE_ENVIRONMENTAL_GATEWAY
        - AC_LOCKDOWN_TEST_MODE_ENABLED
        - AC_LOCKDOWN_TEST_MODE_DISABLED
        - CLOUD_ARCHIVING_CONFIG_UPDATE
        - CLOUD_ARCHIVING_CONFIG_DELETE
        - SCIM_UPDATE_SETTINGS
        - UNKNOWN
    DiagnosticActivityEnum:
      type: string
      enum:
        - CAMERA_CONNECTED
        - CAMERA_DISCONNECTED
        - STARTUP
        - GATEWAY_CONNECTED
        - GATEWAY_DISCONNECTED
        - UPDATE_STARTED
        - UPDATE_FIRMWARE_DOWNLOADED
        - UPDATE_FIRMWARE_APPLIED
        - UPDATE_STARTING_REBOOT
        - UPDATE_FAILED_MD5_MISMATCH
        - UPDATE_FAILED_ACCESS_DENIED
        - UPDATE_FAILED_MITM
        - UPDATE_FAILED_CONNNECTION_REFUSED
        - UPDATE_FAILED_CONNNECTION_TIMEOUT
        - UPDATE_FAILED_CONNECTION_REFUSED
        - UPDATE_FAILED_CONNECTION_TIMEOUT
        - UPDATE_FAILED_DNS_FAILURE
        - UPDATE_RUNNING
        - BLE_CONNECTED
        - BLE_CONNECTION_FAILED
        - BLE_DISCONNECTED
        - BLE_OP_SUCCESS
        - BLE_OP_FAILURE
        - UPLOAD_CLIP_SUCCESS
        - UPLOAD_CLIP_FAILURE
        - NOTIFICATION_FAILURE
        - USB_FAILURE_REBOOT
        - PERSISTENT_STORAGE_FAILURE
        - PING
        - FORCED_REBOOT
        - AUTO_REBOOT
        - AUDIO_HARDWARE_NOT_DETECTED
        - ENCRYPTED_CONTAINER_FAILURE_CREATE
        - ENCRYPTED_CONTAINER_FAILURE_OPEN
        - ENCRYPTED_CONTAINER_FAILURE_MOUNT
        - VIDEO_HARDWARE_FAILURE
        - WIFI_NETWORK_CHANGED
        - AI_ENGINE_DOWNLOADED
        - AI_ENGINE_DOWNLOAD_FAILED_MD5_MISMATCH
        - AI_ENGINE_CONFIGURED
        - AI_ENGINE_CONFIGURATION_FAILED
        - MITM_FAILURE
        - SERVER_RECONNECT
        - AP_CHANGED
        - WATCHDOG_KILLED_AGENT
        - WATCHDOG_DID_RESET
        - CLIMATE_OFFLINE
        - CLIMATE_ONLINE
        - CLIMATE_LOW_BATTERY
        - CLIMATE_PROBE_CONNECTED
        - CLIMATE_PROBE_DISCONNECTED
        - DOOR_OFFLINE
        - DOOR_ONLINE
        - DOOR_LOW_BATTERY
        - OCCUPANCY_SENSOR_ONLINE
        - OCCUPANCY_SENSOR_OFFLINE
        - OCCUPANCY_SENSOR_LOW_BATTERY
        - BUTTON_OFFLINE
        - BUTTON_ONLINE
        - BUTTON_LOW_BATTERY
        - PROXIMITY_LOW_BATTERY
        - DOOR_CONTROLLER_CONNECTED
        - DOOR_CONTROLLER_DISCONNECTED
        - APERIO_LOW_BATTERY
        - APERIO_FLAT_BATTERY
        - APERIO_OK_BATTERY
        - APERIO_GW_CONNECTED
        - APERIO_GW_DISCONNECTED
        - BADGE_READER_CONNECTED
        - BADGE_READER_DISCONNECTED
        - REBOOT
        - NETWORK_INTERRUPTION
        - OPENPATH_WEBHOOK_FAILURE
        - TOAST_WEBHOOK_FAILURE
        - KISI_WEBHOOK_FAILURE
        - BRIVO_WEBHOOK_FAILURE
        - HALO_WEBHOOK_FAILURE
        - SALTO_WEBHOOK_FAILURE
        - SQUARE_WEBHOOK_FAILURE
        - BUTTERFLYMX_WEBHOOK_FAILURE
        - ENVOY_WEBHOOK_FAILURE
        - GENEA_WEBHOOK_FAILURE
        - PRODATAKEY_WEBHOOK_FAILURE
        - AMT_WEBHOOK_FAILURE
        - PLACEOS_WEBHOOK_FAILURE
        - OMNIALERT_WEBHOOK_FAILURE
        - FLIC_WEBHOOK_FAILURE
        - SHELLY_WEBHOOK_FAILURE
        - PIMLOC_WEBHOOK_FAILURE
        - NINEONEONECELLULAR_WEBHOOK_FAILURE
        - HONEYWELL_ELEMENTS_WEBHOOK_FAILURE
        - HONEYWELL_ONGUARD_WEBHOOK_FAILURE
        - TRITON_WEBHOOK_FAILURE
        - EXTERNAL_WEBHOOK_FAILURE
        - CV_FAILURE
        - NFC_HW_FAILURE
        - CONFIG_ERROR
        - HW_FAILURE
        - KEYPAD_ONLINE
        - KEYPAD_OFFLINE
        - ALM_OVERAGE_APPROACHING
        - ALM_OVERAGE_REACHED
        - ALM_OVERAGE_EXCEEDED
        - ALM_EXCESSIVE_VERIFICATIONS
        - KIOSK_OFFLINE
        - KIOSK_ONLINE
        - TUNNELED_DEVICE_CONNECTED
        - TUNNELED_DEVICE_DISCONNECTED
        - SD_CARD_CHANGED
        - SD_CARD_NOT_FOUND
        - SUPERVISION_CUT_DETECTED
        - SUPERVISION_SHORT_DETECTED
        - SUPERVISION_INVALID_SETUP
        - THIRD_PARTY_DEVICE_CONNECTED
        - THIRD_PARTY_DEVICE_DISCONNECTED
        - NVR_STREAMING_STATUS
        - STORAGE_SM
        - UNKNOWN
    FootageSeekPointColorEnum:
      type: string
      enum:
        - BLUE
        - RED
        - PURPLE
        - TAN
        - ORANGE
        - TEAL
        - GRAY
        - BLACK
    PointType:
      type: object
      properties:
        x:
          type: integer
          format: int32
          nullable: true
        'y':
          type: integer
          format: int32
          nullable: true
    SensorValType:
      type: object
      properties:
        sensorBoolean:
          type: boolean
          nullable: true
        sensorDouble:
          type: number
          format: double
          nullable: true
        sensorLong:
          type: integer
          format: int64
          nullable: true
    ToastOrderIdType:
      type: object
      properties:
        employeeName:
          type: string
          nullable: true
        guid:
          type: string
          nullable: true
        locationName:
          type: string
          nullable: true
        restaurantName:
          type: string
          nullable: true
        toastCheckInfo:
          $ref: '#/components/schemas/ToastCheckInfo'
    ToastCheckInfo:
      type: object
      properties:
        totalAmount:
          type: number
          format: double
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````